[General]

; MAKE SURE THERE ARE NO SPACES in this section between "=" and the value!
; Name of the Game EXE
GameExecutable="destiny2.exe"

; Auto start and Patch once the "GameExecutable" is found. (Delay: 10 seconds, to give time for the game to start and render.)
; Recommendation: Only set this to "true" WHEN you are happy with the shortcuts and the profile and you don't need to constantly re-load the ini file!
AutoStart=true

; Delay in Seconds between the game is started and it actually starts rendering.
; This must be updated with each game! (The Patching will fail, if we try to Patch too soon, as the driver is NOT loaded yet.)
; Hoewever it is still possible to manually enable it with "CTRL + SHIFT + T".
; A value of 0 will default to 10 seconds if "Autostart=true"
AutoStartDelay=20

; Enable Nvidia 3D Vision Compatibility Mode Profile Update:
; False - don't update the Nvidia Profile. True - update the Nvidia Profile with the specified values.
; This will only happen when the "GameExecutable" is detected!
2DDEnableUpdates=true

; This value is also used in Nvidia 3D Vision Compatibility Mode. Most of the times a value of "0x00000001" is enough!
; However, it might not always be the case!
; By default the driver initialises this to 0x00000023!
; A value of 0x0 will be ignored and not written to the Profile.
StereoTexture=0x0

; The magic value that tells how Compatibility Mode should work.
; For a list of possible values see http://wiki.bo3b.net/index.php?title=Driver_Profile_Settings
; Or you can use Nvidia Inspector and look in an existing Profile for "0x709ADADA" and copy the value from there.
; A value of 0x0 will be ignored and not written to the Profile.
2DDHUDSettings=0x00000102

; Default Convergence for CM Mode.
; A value of 0.0 will be ignored and not written to the Profile.
; Convergence can be between 0.2 and 1.0. (Anything else and the driver will clamp it. Honestly there is no need for any other value).
2DDConvergence=0.8

; Comments that will appear in the Nvidia Overlay when CM is enabled.
; A value of ="" (empty string) will be ignored.
2DD_Notes="Powered by 3DVision CM Unleashed - made by Helifax."

[Key_Settings]

; See https://docs.microsoft.com/en-us/windows/desktop/inputdev/virtual-key-codes for the KEYBOARD VK_ keys!
; For XBOX Controller use the following keys:
; XINPUT_GAMEPAD_DPAD_UP
; XINPUT_GAMEPAD_DPAD_DOWN
; XINPUT_GAMEPAD_DPAD_LEFT
; XINPUT_GAMEPAD_DPAD_RIGHT
; XINPUT_GAMEPAD_START
; XINPUT_GAMEPAD_BACK
; XINPUT_GAMEPAD_LEFT_THUMB
; XINPUT_GAMEPAD_RIGHT_THUMB
; XINPUT_GAMEPAD_LEFT_SHOULDER
; XINPUT_GAMEPAD_RIGHT_SHOULDER
; XINPUT_GAMEPAD_A
; XINPUT_GAMEPAD_B
; XINPUT_GAMEPAD_X
; XINPUT_GAMEPAD_Y
; XINPUT_GAMEPAD_LEFT_TRIGGER (once & hold ONLY)
; XINPUT_GAMEPAD_RIGHT_TRIGGER (once & hold ONLY)
; Usage: "NewKey(key, separation, convergence, type)".
; NewKey(
; - Virtual Key
; - Separation Factor
; - Convergence Value
; - Type:
; - once (all lower caps)
; - hold (all lower caps)
; - toggle (all lower caps)
; )
; Possible values:
; -1 - value is ignored
; Separation:
; - 1.0 means 100% of the current Separation.
; - 2.2 means 220% of the current Separation.
; Convergence:
; - values from 0.200 to 1.000 (The Driver CLAMPS between these values, and you don't need anything above or lower anyway.)
; 
; Ex: NewKey(VK_F1, -1.0, 1.0, once) -> On key F1, don't set the separation, set convergence to 1.0, JUST once (when you press the key).
; Ex: NewKey(T, 1.0, -1.0, toggle) -> On key T, set 100% separation, don't set convergence, as a toggle (Pressing T again, will set you back to the previous values.)
; Ex: NewKey(XINPUT_GAMEPAD_LEFT_SHOULDER, 0.15, 0.22, hold) -> On XBOX controller  Left Shoulder button, set 15% separation, 0.22 Convergence, AS LONG as you HOLD the button!
; 10% Separation
NewKey(VK_F10, 0.10, -1, once)

; 130% Separation
NewKey(VK_F11, 1.3, -1, once)

; 250% Separation
NewKey(VK_F12, 2.5, -1, toggle)

[End]
